import * as $dara from '@darabonba/typescript';
import { DeleteRouteEntryResponseBody } from "./DeleteRouteEntryResponseBody";
export declare class DeleteRouteEntryResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteRouteEntryResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
